API: Common endpoints¶
Warning
These endpoints are only for special purposes. They might require special permissions or should be used with caution.
/filebin:upload¶
POST /filebin:upload¶
Generate upload link for a temporary file storage. Use the link to post the file to be uploaded. The file will be stored temporarily and can be used for other endpoints that require file uploads, such as Quiz question images, attachments and audio, exam branding images, or the signature, stamp and logo images of exam certificates. These endpoints accept the identifier of the uploaded file (optionally prefixed with filebin:), a URL or base64-encoded data alike. The file will be automatically deleted after the link expires, but it can also be deleted manually if needed. Only the user uploading the file can use it in other endpoints.
[] Input:
- [!] string type: type of file to be uploaded
- IMAGE: image (supported: JPEG, WebP, PNG)
- AUDIO: audio (supported: MP3, AAC, M4A)
- SCORM: SCORM package (supported: ZIP, PIF)
- FILE: generic file
- boolean force: force new link for another file even if a previous valid link exists
[] Output:
- string id: external unique filebin identifier for the uploaded file, used for referencing the file in other endpoints
- string[url] url: upload link for the file
- date valid: date of link expiration
- integer limit: maximum file size in bytes
DELETE /filebin:upload¶
Delete an uploaded file and/or temporary file upload link.
[] Input:
- string id: external unique filebin identifier of the uploaded file or temporary file upload link